Bug 82065 - FILEOPEN: DOCX Strict - Numbering indentation not imported correctly
Summary: FILEOPEN: DOCX Strict - Numbering indentation not imported correctly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.0.0
Keywords: filter:docx
Depends on:
Blocks: OOXML-Import-Strict DOCX-Styles DOCX-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2014-08-02 23:01 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-11-01 16:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Word 2013 VS LibO 4.3.1 (320.33 KB, image/png)
2014-08-02 23:01 UTC, Yousuf Philips (jay) (retired)
Details
Reduced test document (109.86 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-08-03 13:50 UTC, Jorendc
Details
The OOXML Transitional variant imports correctly (103.94 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-09-15 03:01 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-02 23:01:57 UTC
Created attachment 103876 [details]
Word 2013 VS LibO 4.3.1

Steps:
1) Open attachment 103836 [details]
2) Scroll down to page 26
3) the numbering list above the heading 'SQL Server HADR' has a text indent of 1.27 cm when it should be 2.54 cm

Tested on 4.2.5 and 4.3.1 on Linux Mint.
Comment 1 Jorendc 2014-08-03 08:55:03 UTC
@Jay: can you please reduce ALL test documents to the minimal reproducible? Please do it in every bug report. Thanks
/me doesn't have access to Word 2013 right now.

Thanks
Joren
Comment 2 Jorendc 2014-08-03 13:48:17 UTC
I think this is a calculation error.
Following Word 2013:
Left indent: 1,9 cm
Hanging: 0,63 cm

I can confirm it is 1,27 in LibreOffice (which is the left indent - hanging indent). It should be left indent + hanging indent which is indeed about 2.53 cm

Tested using Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: 6528607d34c9a2098ff5eec051fc9299ec37dfd7
TinderBox: Win-x86@39, Branch:master, Time: 2014-08-03_07:56:26

Kind regards,
Joren
Comment 3 Jorendc 2014-08-03 13:50:21 UTC
Created attachment 103906 [details]
Reduced test document
Comment 4 Xisco Faulí 2015-09-09 12:52:12 UTC
This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 5 Luke 2015-09-15 03:01:27 UTC
Created attachment 118719 [details]
The OOXML Transitional variant imports correctly

File saved with Word 2013
Comment 6 Robinson Tryon (qubit) 2015-12-09 18:45:00 UTC Comment hidden (no-value, obsolete)
Comment 7 QA Administrators 2017-01-03 19:39:51 UTC Comment hidden (obsolete)
Comment 8 Luke 2017-01-04 02:05:44 UTC
Indentation still incorrect in Version: 5.4.0.0.alpha0+ (x64)
Build ID: bf80bbb7b75febc2769d6b64e6981224982f8fe2
Comment 9 Yousuf Philips (jay) (retired) 2017-10-23 22:01:36 UTC
Still present.

Version: 6.0.0.0.alpha1+
Build ID: d76c4e5c9aaf8bd27ec97679bcaeba5b18aca493
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Checked the xml code between attachment 103906 [details] and the problem seem to be that the WWNum32 list style isnt being imported correctly from /word/numbering.xml and showing it as 36pt when the xml clearly shows 72pt.

<w:abstractNum w:abstractNumId="32">
 ...
 <w:lvl w:ilvl="0" w:tplc="0409000F">
   ...
   <w:lvlJc w:val="start" />
   <w:pPr>
     <w:ind w:start="72pt" w:hanging="18pt" />
   </w:pPr>
 </w:lvl>

Justin, Mike: thoughts?
Comment 10 Justin L 2017-10-27 09:37:24 UTC
In NumberingManager.cxx
+        case NS_ooxml::LN_CT_Ind_start:
         case NS_ooxml::LN_CT_Ind_left:
Comment 11 Commit Notification 2017-10-31 04:07:32 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d6b4f5f6946cdadfe2a09946df90fa08f3588d0

tdf#82065 strict docx import: add support for LN_CT_Ind_start

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-10-31 18:21:47 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97ffdd33cae49f9fd039206cbcd6fc0a10bb1757

related tdf#82065: tinderbox failed - give some unit test allowance

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.